Subject: Re: bug#870: /usr/bin/xflock4: xflock4: gdbus: not found; missing dependency on libglib2.0-bin

From: Mark Hindley <[email-masked]>
Date: Tue, 31 Dec 2024 07:24:48 +0000

Alejandro,

Thanks for this.

On Mon, Dec 30, 2024 at 09:33:20PM +0100, Alejandro Colomar wrote:
> Since recently, I can't lock screen on XFCE4.  This happens both in
> Debian and in Devuan.  I tried doing it from the terminal:
> 
> 	$ xflock4
> 	/usr/bin/xflock4: 49: gdbus: not found
> 
> And it seems a dependency is missing.
> 
> 	$ apt-file find -x bin/gdbus$
> 	libglib2.0-bin: /usr/bin/gdbus
> 
> I've installed libglib2.0-bin, and now it works.  It seems the
> dependency is missing.  Would you mind adding it?

This appears to be the same as Debian #1064099. Although the suggestion there is that
Recommends is sufficient, I think I will add it to Depends.

Mark